Update Site Route
Update a site’s route.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
site_id
The ID of the site.
route_id
The ID of the site route.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
matching
Depending on the resource type, this can be an ID (matching a specific item), or a ”*” wildcard (matching all items of that type).
For example, a route with a type: “product” and matching: “5” will be used for the product with the ID of 5.
route
The route template that will be used to generate the URL for the requested resource.
Supports several tokens:
{id}The ID of the requested item.{slug}The slug for the requested item (if available). Note: theslugvalue may contain/slash.{language}The language string that the client is using.
Response
The requested site route.
data
Route object used in responses.
meta
Response metadata.